Bug 591449 - queued mail accumulates in /var/spool/clientmqueue
queued mail accumulates in /var/spool/clientmqueue
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: sendmail (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Jaroslav Škarvada
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-12 05:44 EDT by Michael Selway
Modified: 2012-12-27 19:46 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-08 04:07:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Selway 2010-05-12 05:44:02 EDT
Description of problem:

Locally-originated mail doesn't get delivered.  Instead it sits in /var/spool/clientmqueue.  The reason is that either sendmail or sm-client has died.  "service sendmail status" reports that one of these processes is "dead but pid file exists".  The problem can be fixed in the short-term by running "service sendmail restart".  This is happening apparently at random to me and a colleague, once every few weeks.

I observe that at various times, /var/log/maillog often gets four lines like these:

May  9 08:51:43 ricola sendmail[24014]: restarting /usr/sbin/sendmail due to signal
May  9 08:51:43 ricola sm-msp-queue[24012]: restarting /usr/sbin/sendmail due to signal
May  9 08:51:43 ricola sm-msp-queue[29970]: starting daemon (8.14.3): queueing@01:00:00
May  9 08:51:43 ricola sendmail[29972]: starting daemon (8.14.3): SMTP+queueing@01:00:00

But at about the point that sendmail dies, it gets five lines, like this:

May 11 15:58:31 ricola sendmail[11106]: restarting /usr/sbin/sendmail due to signal
May 11 15:58:31 ricola sm-msp-queue[11107]: restarting /usr/sbin/sendmail due to signal
May 11 15:58:31 ricola sm-msp-queue[15448]: starting daemon (8.14.3): queueing@01:00:00
May 11 15:58:31 ricola sm-msp-queue[15448]: restarting /usr/sbin/sendmail due to signal
May 11 15:58:31 ricola sm-msp-queue[15471]: starting daemon (8.14.3): queueing@01:00:00

Based on this, I have a theory that the problem might be caused by the network management system restarting sendmail twice simultaneously, and maybe sendmail has a race condition which means this will sometimes fail.  I don't know if it is relevant, but if I try and simulate this by repeatedly running:
   service sendmail restart & service sendmail restart; sleep 4; service sendmail status

...then fairly often (30% on one machine, 10% on another), the sendmail service ends up dead.


Version-Release number of selected component (if applicable):
sendmail-8.14.3-8.fc12.i686


How reproducible:
Happens randomly every few weeks (on a laptop that's used for around 12 hours a day and moved from home to work daily)


Steps to Reproduce:
Cannot reproduce to order.
  
Actual results:
Locally originated mail gets queued in /var/spool/clientmqueue and not delivered


Expected results:
Mail should be delivered.


Additional info:
The "mailq" program doesn't report mail which is queued in /var/spool/clientmqueue.  So when this bug is happening, "mailq" reports that nothing is amiss.  On the face of it, mailq should report all queued mail whereever it is.
Comment 1 Bug Zapper 2010-11-03 11:02:14 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Michael Selway 2010-11-03 15:24:00 EDT
I am now running F14 and have not seen this problem for a while, so I am happy to let this bug go WONTFIX.
Comment 3 Jaroslav Škarvada 2010-11-08 04:07:23 EST
Thanks for info, if you encounter this problem again feel free to reopen across F14.
Comment 4 Robert Scheck 2012-12-27 19:46:25 EST
Michael, use "mailq" and "mailq -Ac" (see: http://www.novosial.org/sendmail/),
that's basically how Sendmail was designed. Just noticed that report when I was
looking for another one.

Note You need to log in before you can comment on or make changes to this bug.